﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GCodeGenerator
{
    public partial class Form1 : Form
    {
        CodeGeneration codeGeneration;
        public Form1()
        {
            codeGeneration = new CodeGeneration();
            InitializeComponent();
        }

        private void motorPHbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.MotorPlateHolesCG();

        }

        private void motorPRHbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.MotorPlateRotorHolesCG();
        }

        private void MotorPlatePocket_Click(object sender, EventArgs e)
        {
            codeGeneration.MotorPlatePocketsCG();
        }

        private void pulleyPbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.PulleyPlateSlot();
        }

        private void encoderPbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.BaseSeparation2();
        }

        private void btnMotorPocketTest_Click(object sender, EventArgs e)
        {
            codeGeneration.MotorPlatePocketsCGTest();
        }

        private void newMotorHolesbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.NewMotorPlateHoles(3);
        }

        private void newMotorFasteners_Click(object sender, EventArgs e)
        {
            codeGeneration.NewMotorPlateFastenerHoles(3);
        }

        private void newMotorPocketsbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.NewMotorPlatePockets(3);
        }

        private void newMotorSeparatorbtn_Click(object sender, EventArgs e)
        {
            codeGeneration.NewMotorPlateSeparators(3);
        }

        
       
    }
}
