function [mu_lowest] = mu_distance(A,B)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

upper_bound = 1000;
lower_bound = 0;
mu_ant = 0;
N = size(A);
mu = min(svd([upper_bound*eye(N)-A B]));
mu_lowest = mu;
s_lowest = upper_bound;
tolerance = 0.0001;

while abs((mu-mu_ant))/mu > tolerance
    mu_ant = mu;
    s = upper_bound - (upper_bound - lower_bound)/2;
    mu = min(svd([s*eye(N)-A B]));
    if(mu<mu_lowest)
        mu_lowest = mu;
        s_lowest = s;
    end
    if mu >= mu_lowest
        upper_bound = s;
    else
        lower_bound = s;
    end
end

upper_bound = 0;
lower_bound = -1000;
mu = min(svd([lower_bound*eye(N)-A B]));

while abs((mu-mu_ant))/mu > tolerance
    mu_ant = mu;
    s = lower_bound + (upper_bound - lower_bound)/2;
    mu = min(svd([s*eye(N)-A B]));
    if(mu<mu_lowest)
        mu_lowest = mu;
        s_lowest = s;
    end
    if mu >= mu_lowest
        lower_bound = s;
    else
        upper_bound = s;
    end
end

end

